--
-- LiteAssistFu
--
-- Adds FuBar support to LiteAssist
--
-- When FuBar says "well documented API", it's bloody well lying.  Finding
-- anything out about FuBar is a horrible horrible experience.  I hate
-- you FuBar.
--

local COL_GREEN = "|cff1eff00";
local COL_WHITE = "|cffffffff";
local COL_RED   = "|cffff0000";
local COL_RESET = "|r";

local tablet = AceLibrary("Tablet-2.0");

LiteAssistFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0");

local function UpdateName(name)
    LiteAssistFu.CurrentAssist = name;
    LiteAssistFu:UpdateText();
end

function LiteAssistFu:OnTextUpdate()
    self:SetText("LiteAssist: " ..COL_WHITE..(self.CurrentAssist or "none")..COL_RESET);
end

function LiteAssistFu:OnTooltipUpdate()
    local cat = tablet:AddCategory();
    cat:AddLine("text", "Displays your current LiteAssist unit");
end

function LiteAssistFu:SetIcon(path)
    if not self.iconFrame then
	 return;
    end

    self.iconFrame:SetTexture(path);
    -- Pull the bit we want out of the 4-pic icon
    self.iconFrame:SetHeight(24);
    self.iconFrame:SetWidth(24);
    self.iconFrame:SetTexCoord(0.55, 0.95, 0.05, 0.45);
end

LiteAssistFu.defaultPosition = "LEFT";
LiteAssistFu.cannotAttachToMinimap = true;
LiteAssistFu.cannotDetachTooltip = true;
LiteAssistFu.hasIcon = "Interface\\CharacterFrame\\UI-StateIcon";

LiteAssistFu.CurrentAssist = LiteAssist_GetAssistName();

LiteAssist_RegisterCallback(UpdateName);

