--
-- TitanLiteAssist
--
-- LiteAssist target name indicator button for Titan Panel
--

local TITAN_LITEASSIST_ID = "LiteAssist";
local TITAN_LITEASSIST_NAME = "LiteAssist";

local DisplayName = "none";

local function ChangeDisplayName(name)
    DisplayName = name or "none";
    TitanPanelButton_UpdateButton(TITAN_LITEASSIST_ID);
    -- TitanPanelButton_UpdateTooltip();
end

function TitanPanelLiteAssistButton_GetButtonText()
    if (TitanGetVar(TITAN_LITEASSIST_ID, "ShowLabelText")) then	
	return TITAN_LITEASSIST_NAME..": ", HIGHLIGHT_FONT_COLOR_CODE..DisplayName..FONT_COLOR_CODE_CLOSE;
    else
	return nil, HIGHLIGHT_FONT_COLOR_CODE..DisplayName..FONT_COLOR_CODE_CLOSE;
    end
end

function TitanPanelLiteAssistButton_GetTooltipText()
    return TitanUtils_GetGreenText("Your current assist unit's name.");
end

function TitanPanelRightClickMenu_PrepareLiteAssistMenu()

    TitanPanelRightClickMenu_AddToggleIcon("LiteAssist");
    TitanPanelRightClickMenu_AddToggleLabelText("LiteAssist");
    -- TitanPanelRightClickMenu_AddToggleColoredText("LiteAssist");
    TitanPanelRightClickMenu_AddSpacer();   
    TitanPanelRightClickMenu_AddCommand(TITAN_PANEL_MENU_HIDE, TITAN_LITEASSIST_ID, TITAN_PANEL_MENU_FUNC_HIDE);

end

function TitanPanelLiteAssistButton_OnLoad()

    this.registry = {
	id = TITAN_LITEASSIST_ID,
	version = "1.0",
	menuText = "LiteAssist",
	category = "Combat",
	buttonTextFunction = "TitanPanelLiteAssistButton_GetButtonText", 
	tooltipTitle = "LiteAssist",
	tooltipTextFunction = "TitanPanelLiteAssistButton_GetTooltipText", 
	icon = "Interface\\CharacterFrame\\UI-StateIcon",
	iconWidth = 22,
	savedVariables =
	{
	    ShowIcon = 1,
	    ShowLabelText = 1,
	},
    };

    -- This is hack to allow us to use the builtin texture which has
    -- 4 images inside it, the one we want at (36,6) to (58,25).
    local icon = getglobal(this:GetName().."Icon");
    icon:SetHeight(24);
    icon:SetTexCoord(0.55, 0.95, 0.05, 0.45);

    LiteAssist_RegisterCallback(ChangeDisplayName);
end
